<?php

namespace Bixo\Salary\Repositories\Eloquent;

use Bixo\Salary\Interfaces\AdjustmentsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AdjustmentsRepository extends BaseRepository implements AdjustmentsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.salary.adjustments.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.salary.adjustments.model.model');
    }
}
