<?php

namespace Bixo\Salary\Repositories\Eloquent;

use Bixo\Salary\Interfaces\PayrollsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PayrollsRepository extends BaseRepository implements PayrollsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.salary.payrolls.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.salary.payrolls.model.model');
    }
}
