<?php

namespace Bixo\Salary;

use DB;
use Illuminate\Database\Seeder;

class AdjustmentsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('adjustments')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'salary.adjustments.view',
                'name'      => 'View Adjustments',
            ],
            [
                'slug'      => 'salary.adjustments.create',
                'name'      => 'Create Adjustments',
            ],
            [
                'slug'      => 'salary.adjustments.edit',
                'name'      => 'Update Adjustments',
            ],
            [
                'slug'      => 'salary.adjustments.delete',
                'name'      => 'Delete Adjustments',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/salary/adjustments',
                'name'        => 'Adjustments',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/salary/adjustments',
                'name'        => 'Adjustments',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'adjustments',
                'name'        => 'Adjustments',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Salary',
                'module'    => 'Adjustments',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'salary.adjustments.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
