<?php

namespace Bixo\Salary;

use DB;
use Illuminate\Database\Seeder;

class PayrollsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('payrolls')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'salary.payrolls.view',
                'name'      => 'View Payrolls',
            ],
            [
                'slug'      => 'salary.payrolls.create',
                'name'      => 'Create Payrolls',
            ],
            [
                'slug'      => 'salary.payrolls.edit',
                'name'      => 'Update Payrolls',
            ],
            [
                'slug'      => 'salary.payrolls.delete',
                'name'      => 'Delete Payrolls',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/salary/payrolls',
                'name'        => 'Payrolls',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/salary/payrolls',
                'name'        => 'Payrolls',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'payrolls',
                'name'        => 'Payrolls',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Salary',
                'module'    => 'Payrolls',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'salary.payrolls.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
