<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for payrolls in salary package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  payrolls module in salary package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Payrolls',
    'names'         => 'Payrolls',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Payrolls',
        'sub'   => 'Payrolls',
        'list'  => 'List of payrolls',
        'edit'  => 'Edit payrolls',
        'create'    => 'Create new payrolls'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'employee_id'                => 'Please enter employee id',
        'amount'                     => 'Please enter amount',
        'payment_mode'               => 'Please enter payment mode',
        'description'                => 'Please enter description',
        'documents'                  => 'Please enter documents',
        'notes'                      => 'Please enter notes',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'employee_id'                => 'Employee id',
        'amount'                     => 'Amount',
        'payment_mode'               => 'Payment mode',
        'description'                => 'Description',
        'documents'                  => 'Documents',
        'notes'                      => 'Notes',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 1, 'checked'],
        'amount'                     => ['name' => 'Amount', 'data-column' => 2, 'checked'],
        'payment_mode'               => ['name' => 'Payment mode', 'data-column' => 3, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 4, 'checked'],
        'documents'                  => ['name' => 'Documents', 'data-column' => 5, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Payrolls',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
